<?php
require_once "header.php";
require_once "connect.php";
require_once "inc/usuario.php";
require_once "inc/report_sintetico.php";

checkLogin('login.php');

// capturando o usuário e unidade logado
$usuario_list = getLoggedUser();
$id_usuario=$usuario_list['id'];
$id_unidade=$usuario_list['unidade'];

date_default_timezone_set('America/Sao_Paulo');

$ReportSintetico = new ReportSintetico();

	if(isset($_POST['buscar'])){
    $ReportSintetico->dt_inicio= $_POST['dt_inicio'];
    $ReportSintetico->dt_final = $_POST['dt_final'];
    $ReportSintetico->id_tipo  = $_POST['id_tipo_venda'];

    if(isset($_POST['id_forma_pagamento'])){
      $ReportSintetico->id_forma= trim($_POST['id_forma_pagamento']);
    }
  }

	$ReportSintetico->getFormaPagamento();
	$ReportSintetico->getTipoVenda();
?>

<div class="tab-content">
  <div class="block">
			<div class="header">
				<h4 class="widgettitle nomargin shadowed">Relatório Sintético de Vendas</h4>
        </div>

        <!-- widgetcontent bordered shadowed nopadding -->
				<div class="widgetcontent bordered shadowed nopadding">
				<!--<form name="manterusuario" action="busca_rapida_imprimir.php?id_busca=$id_busca&id2_busca=$id2_busca&id_grupo_acesso_busca=$id_grupo_acesso_busca" method="GET" class="stdform stdform2">-->
				<table width="100%" class="table table-bordered">

					<tr>
						<th width="20%"> Intervalo:</th><td> De <?php echo $ReportSintetico->dt_inicio;?> até <?php echo $ReportSintetico->dt_final;?></td>
					</tr>

					<tr>
						<th> Forma de Pagamento:</th> <td> <?php echo $ReportSintetico->ds_forma;?> </td>
					</tr>

          <tr>
            <th> Tipos : </th> <td> <?php echo $ReportSintetico->ds_tipo;?> </td>
          </tr>

				</table>
				</div>

        <div class="clearfix">&nbsp;</div>

				<h4 class="widgettitle nomargin shadowed">Resultado</h4>
				<div class="widgetcontent bordered shadowed nopadding">
				<table width="100%" class="table table-bordered">

					<tr>
						<th> Data </th>
						<th> Tipo </th>
						<th> Forma </th>
            <th> Total </th>
						<th> Nro Vendas</th>
					</tr>
					<?php

    $resultado = $ReportSintetico->getCapturarVendas();
    
    $vl_total_report = 0;
	$nr_vendas_report= 0;
	if (Count($resultado)>0) {
    foreach ($resultado as $key => $registro) {
            
		    $dt_pedido	= $registro['dt_pedido'];
            $tipo   = $registro['tipo'];
            $ds_forma=$registro['ds_forma'];
			$nr_vendas=$registro['nr_vendas'];
            /*
            $pedido = $registro['pedido'];
            $nr_quantidade= $registro['nr_quantidade'];
            $vl_unitario        = number_format($registro['vl_unitario'], 2, ',', '.');
            $vl_desconto_produto= number_format($registro['vl_desconto_produto'], 2, ',', '.');
            */
            $vl_total           = number_format($registro['vl_total'], 2, ',', '.');

            $dt_conv = date('d/m/Y', strtotime($dt_pedido));

            $vl_total_report += $registro['vl_total'];
			$nr_vendas_report+= $nr_vendas;
    
			/*
			echo "<pre>";
			echo $dt_pedido . "<br>";
			echo $tipo . "<br>";
			echo $ds_forma . "<br>";
			echo $nr_vendas . "<br>";
			echo $vl_total . "<br>";
			echo $dt_conv . "<br>";
			echo $vl_total_report . "<br>";
			echo $nr_vendas_report . "<br>";
			echo "</pre>";
			exit;
			*/
			
	        echo
				"<tr>
					<td width='10%'> $dt_conv </td>
					<td> $tipo </td>
					<td> $ds_forma </td>
                    <td> $vl_total </td>
					<td> $nr_vendas </td>
				</tr>";

			}

		}       ?>








				</table>
          <div class="form-row">
            <h2><br>Total de Vendas : R$ <?=number_format($vl_total_report, 2, ',', '.');?> | Número de Vendas : <?=$nr_vendas_report;?></h2>
          </div>
  			</div>
				<!--</form>-->
        <?
        $crip_dt_inicio = base64_encode($ReportSintetico->dt_inicio);
        $crip_dt_final  = base64_encode($ReportSintetico->dt_final);
        $crip_id_tipo_venda = base64_encode($ReportSintetico->id_tipo);
        $crip_id_forma_pagamento	= base64_encode($ReportSintetico->id_forma);

        $get_parameters = "dt_inicio=$crip_dt_inicio&dt_final=$crip_dt_final&id_tipo_venda=$crip_id_tipo_venda&id_forma_pagamento=$crip_id_forma_pagamento";

        ?>
				<tr>
					<a href="erpc_report_venda_sintetico_imprimir.php?<?php echo $get_parameters;?>"><button class="btn">Visualizar</button></a>
					<a href="erpc_report_venda_sintetico_excel.php?<?php echo $get_parameters;?>"><button class="btn">Exportar para Excel</button></a>
				</tr>




				<div class="divider15"></div>

        	<div class="contentinner content-dashboard"><!--alert-->
               </div>
      </div><!--contentinner-->
    </div><!--maincontent-->

    <!-- END OF RIGHT PANEL -->


    <div class="clearfix"></div>

<?php include "footer.php"; ?>

<script type="text/javascript">
jQuery(document).ready(function(){

		// basic chart
		var flash = [[0, 2], [1, 6], [2,3], [3, 8], [4, 5], [5, 13], [6, 8]];
		var html5 = [[0, 5], [1, 4], [2,4], [3, 1], [4, 9], [5, 10], [6, 13]];

		function showTooltip(x, y, contents) {
			jQuery('<div id="tooltip" class="tooltipflot">' + contents + '</div>').css( {
				position: 'absolute',
				display: 'none',
				top: y + 5,
				left: x + 5
			}).appendTo("body").fadeIn(200);
		}


		var plot = jQuery.plot(jQuery("#chartplace2"),
			   [ { data: flash, label: "Flash(x)", color: "#fb6409"}, { data: html5, label: "HTML5(x)", color: "#8cb840"} ], {
				   series: {
					   lines: { show: true, fill: true, fillColor: { colors: [ { opacity: 0.05 }, { opacity: 0.15 } ] } },
					   points: { show: true }
				   },
				   legend: { position: 'nw'},
				   grid: { hoverable: true, clickable: true, borderColor: '#ccc', borderWidth: 1, labelMargin: 10 },
				   yaxis: { min: 0, max: 15 }
				 });

		var previousPoint = null;
		jQuery("#chartplace2").bind("plothover", function (event, pos, item) {
			jQuery("#x").text(pos.x.toFixed(2));
			jQuery("#y").text(pos.y.toFixed(2));

			if(item) {
				if (previousPoint != item.dataIndex) {
					previousPoint = item.dataIndex;

					jQuery("#tooltip").remove();
					var x = item.datapoint[0].toFixed(2),
					y = item.datapoint[1].toFixed(2);

					showTooltip(item.pageX, item.pageY,
									item.series.label + " of " + x + " = " + y);
				}

			} else {
			   jQuery("#tooltip").remove();
			   previousPoint = null;
			}

		});

		jQuery("#chartplace2").bind("plotclick", function (event, pos, item) {
			if (item) {
				jQuery("#clickdata").text("You clicked point " + item.dataIndex + " in " + item.series.label + ".");
				plot.highlight(item.series, item.datapoint);
			}
		});


		// bar graph
		var d2 = [];
		for (var i = 0; i <= 10; i += 1)
			d2.push([i, parseInt(Math.random() * 30)]);

		var stack = 0, bars = true, lines = false, steps = false;
		jQuery.plot(jQuery("#bargraph2"), [ d2 ], {
			series: {
				stack: stack,
				lines: { show: lines, fill: true, steps: steps },
				bars: { show: bars, barWidth: 0.6 }
			},
			grid: { hoverable: true, clickable: true, borderColor: '#bbb', borderWidth: 1, labelMargin: 10 },
			colors: ["#8cb840"]
		});

		// calendar
		jQuery('#calendar').datepicker();



});
</script>
